
ACTUALNOTES = \
	['C', '^C', 'D', '_E', 'E', 'F', '^F', 'G', '^G', 'A', '_B', 'B', '']

# Major Scale
# TTSTTTS
#C  maj - 0 sharps
#G  maj - 1 sharp  - F#
#D  maj - 2 sharps - F#, C#
#A  maj - 3 sharps - F#, C#, G#
#E  maj - 4 sharps - F#, C#, G#, D#
#B  maj - 5 sharps - F#, C#, G#, D#, A#
#F# maj - 6 sharps - F#, C#, G#, D#, A#, E#
#C# maj - 7 sharps - F#, C#, G#, D#, A#, E#, B#

MAJOR_SCALES = \
{'C':  ['C', '',   'D', '',   'E', 'F', '',   'G', '',   'A', '',   'B', ''],
 'G':  ['C', '',   'D', '',   'E', '',  'F',  'G', '',   'A', '',   'B', ''],
 'D':  ['',  'C',  'D', '',   'E', '',  'F',  'G', '',   'A', '',   'B', ''],
 'A':  ['',  'C',  'D', '',   'E', '',  'F',  '',  'G',  'A', '',   'B', ''],
 'E':  ['',  'C',  '',  'D',  'E', '',  'F',  '',  'G',  'A', '',   'B', ''],
 'B':  ['',  'C',  '',  'D',  'E', '',  'F',  '',  'G',  '',  'A',  'B', ''],
 '^F': ['',  'C',  '',  'D',  '',  'E', 'F',  '',  'G',  '',  'A',  'B', ''],
 '^C': ['',  'C',  '',  'D',  'E', 'E', 'F',  '',  'G',  '',  'A',  '', 'B']}

# Mixolydian Scale
# TTSTTST
# G Mix - 0 sharps
# C Mix - 1 flat   - Bb
# D Mix - 1 sharp  - F#
# A Mix - 2 sharps - F# C#
# E Mix - 3 sharps - F# C# G#

MIXOLYDIAN_SCALES = \
{'G':  ['C', '',   'D', '',   'E', 'F', '',   'G', '',   'A', '',   'B', ''],
 'C':  ['C', '',   'D', '',   'E', 'F', '',   'G', '',   'A', 'B',  '',  ''],
 'D':  ['C', '',   'D', '',   'E', '',  'F',  'G', '',   'A', '',   'B', ''],
 'A':  ['',  'C',  'D', '',   'E', '',  'F',  'G', '',   'A', '',   'B', ''],
 'E':  ['',  'C',  'D', '',   'E', '',  'F',  '',  'G',  'A', '',   'B', '']}

# G Mix / D Dor
# C Mix / G Dor
# D Mix / A Dor
# A Mix / E Dor
# E Mix / B Dor

MIXOLYDIAN = ['G', 'C', 'D', 'A', 'E']
DORIAN = ['D', 'G', 'A', 'E', 'B']

# C Major / A Minor
# G Major / E Minor
# D Major / B Minor
# A Major / F# Minor
# E Major / C# Minor
# F Major / D Minor

MAJOR = ['C', 'G', 'D', 'A', 'E', 'F']
MINOR = ['A', 'E', 'B', 'F', 'C', 'D']

